class GlossaryStylesController < ApplicationController
  unloadable

  def search
    newparams = {
      :controller => 'glossary', :action => 'index', :id => params[:id]
    }
    unless (params[:search_clear])
      for prm in [:search_category, :search_str, :latest_days]
        newparams[prm] = params[prm]	if (params[prm] and !params[prm].empty?)
      end
    end
    
    redirect_to(newparams)
  end


  def edit
    if (User.current.anonymous?)
      if (params[:clear])
        session[:glossary_style] = nil
      else
        session[:glossary_style] = params[:glossary_style]
      end
    else
      unless params[:glossary_style_id].blank?
        @glossary_style = GlossaryStyle.find(params[:glossary_style_id])
      end

      if (@glossary_style)
        if (params[:clear])
          @glossary_style.set_default!
        else
          params[:glossary_style].each {|key,val|
            @glossary_style[key] = val
          }
        end
      else
        @glossary_style = GlossaryStyle.new(params[:glossary_style])
      end

      @glossary_style.user_id = User.current.id
      unless @glossary_style.save
        flash[:notice] = l(:notice_glossary_style_create_f)
      end
    end
    redirect_to(:controller => 'glossary', :action => 'index',
                :id => params[:id],
                :glossary_style_id => @glossary_style_id)
  end
end
